import { UiFieldMessageConfig } from "../../generated/UiFieldMessageConfig";
import { UiFieldMessageSeverity } from "../../generated/UiFieldMessageSeverity";
export declare class FieldMessagesPopper {
    private referenceElement;
    private popper;
    private $popperElement;
    private $messagesContainer;
    constructor(referenceElement?: Element | null);
    setMessages(messages?: UiFieldMessageConfig[]): void;
    setReferenceElement(referenceElement: Element): void;
    updatePosition(): void;
    setVisible(visible: boolean): void;
    destroy(): void;
}
export declare function getHighestSeverity(messages: UiFieldMessageConfig[], defaultSeverity?: UiFieldMessageSeverity | null): UiFieldMessageSeverity;
export declare function createMessageElement(message: UiFieldMessageConfig): HTMLElement;
